## org.apache.lucene.index
Class OrdTermState

    java.lang.Object
      org.apache.lucene.index.TermState
          org.apache.lucene.index.OrdTermState

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  BlockTermState

    public class OrdTermState

extends TermState

An ordinal based `TermState`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`long` `ord` Term ordinal, i.e.

Constructor Summary
`OrdTermState()` Sole constructor.

Method Summary
`void` `copyFrom(TermState other)` Copies the content of the given `TermState` to this instance
`String` `toString()`

Methods inherited from class org.apache.lucene.index.TermState
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ord

    public long ord

  Term ordinal, i.e. it's position in the full list of sorted terms.

Constructor Detail

### OrdTermState

    public OrdTermState()

  Sole constructor.

Method Detail

### copyFrom

    public void copyFrom(TermState other)

  Description copied from class: `TermState`
  Copies the content of the given `TermState` to this instance

  Specified by:
    `copyFrom` in class `TermState`
  Parameters:
    `other` - the TermState to copy

### toString

    public String toString()

  Overrides:
    `toString` in class `TermState`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.